Bug 1010316 - [Doc] RFE packstack should disable NetworkManager
[Doc] RFE packstack should disable NetworkManager
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Getting_Started_Guide (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Bruce Reeler
ecs-bugs
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 967369 1049118
  Show dependency treegraph
 
Reported: 2013-09-20 09:47 EDT by Stephen Gordon
Modified: 2014-10-30 18:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 02:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-09-20 09:47:13 EDT
Cloned for documentation impact, refer to Bug # 967369 for implementation details.
Comment 4 Martin Magr 2013-12-04 05:20:01 EST
Currently I have no idea. Please check parent bug for details. Currently packstack is disabling NetworkManager with "service NetworkManager stop" and setting NM_MANAGED=no to all network interface init scripts. But this does not work in all cases unfortunately.
Comment 5 Bruce Reeler 2014-03-27 01:54:25 EDT
According to the parent bug BZ967369 NetworkManager should still be disabled, but if running RHEL 7, it might no longer need to be disabled.

Hence setting this bug to 5.0 to revisit after 5.0 released.
Comment 6 Bruce Reeler 2014-07-28 02:25:09 EDT
Parent bug has been closed - notabug.

Disabling Network Manager is recommended for RHEL 6.
There was no finality re RHEL 7 in parent bug before it was closed, so as far as packstack is concerned, safer to leave disabling Network Manager in for RHEL 7 too.

Closing this bug as currentrelease - if this issue comes up again a new bug can be raised.

Note You need to log in before you can comment on or make changes to this bug.